### Method

# Ggit Repository is_head_detached

#### Declaration [src]

    gboolean
    ggit_repository_is_head_detached (
      GgitRepository* repository
      GError** error
    )

#### Description [src]

Checks if `repository`‘s HEAD is detached.

A repository’s HEAD is detached when it points directly to a commit instead of a branch.

#### Return value

Type: `gboolean`

`TRUE` if HEAD is detached.